org.apache.cassandra.cql3

## Class Attributes.Raw

- java.lang.Object
- - org.apache.cassandra.cql3.Attributes.Raw

Enclosing class:
  Attributes

    public static class Attributes.Raw
    extends java.lang.Object

### Field Summary

Fields
`Term.Raw` `timestamp`
`Term.Raw` `timeToLive`

### Constructor Summary

Constructors
Constructor and Description
`Raw()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Attributes` `prepare(java.lang.String ksName, java.lang.String cfName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### timestamp

    public Term.Raw timestamp

#### timeToLive

    public Term.Raw timeToLive

### Constructor Detail

#### Raw

    public Raw()

### Method Detail

#### prepare

    public Attributes prepare(java.lang.String ksName,
                              java.lang.String cfName)
                       throws InvalidRequestException

Throws:
  `InvalidRequestException`